Subject: bug#9852: pthread_sigmask() check is bogus when HAVE_PTHREAD is defined

From: Paul Eggert <[email-masked]>
Date: Sun, 23 Oct 2011 19:44:46 -0700

Thanks for reporting that.  I think the bug is that configure.in is
invoking AC_CHECK_LIB in such a way that LIBS is not affected.
This would be a problem regardless of the FreeBSD issue, but
I expect it's causing the FreeBSD issue as well.  I committed a fix
into the trunk as bzr 106173; could you please give it a try
and let us know how it goes?  Thanks.